"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropertyError = exports.CsvError = exports.PathError = exports.ColumnError = exports.LasError = void 0;
class LasError {
    constructor(message) {
        this.name = 'LasError';
        this.message = message;
    }
}
exports.LasError = LasError;
class ColumnError {
    constructor(column) {
        this.name = 'ColumnError';
        this.message = `Column ${column} doesn't exist in the file`;
    }
}
exports.ColumnError = ColumnError;
class PathError {
    constructor() {
        this.name = 'PathError';
        this.message = 'Path is invalid';
    }
}
exports.PathError = PathError;
class CsvError {
    constructor() {
        this.name = 'CsvError';
        this.message = "Couldn't convert file to CSV";
    }
}
exports.CsvError = CsvError;
class PropertyError {
    constructor(property) {
        this.name = 'PropertyError';
        this.message = `Property ${property} doesn't exist`;
    }
}
exports.PropertyError = PropertyError;
